> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/account-management/accounts/{accountId}/private-market-child-accounts

> Gets Private Market child accounts that are associated with the given account



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json get /preview/retail-media/account-management/accounts/{accountId}/private-market-child-accounts
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/account-management/accounts/{accountId}/private-market-child-accounts:
    get:
      tags:
        - Accounts
      summary: >-
        /preview/retail-media/account-management/accounts/{accountId}/private-market-child-accounts
      description: >-
        Gets Private Market child accounts that are associated with the given
        account
      operationId: GetPrivateMarketChildAccountsByAccountId
      parameters:
        - name: accountId
          in: path
          description: Account Id
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: The number of accounts to be returned. The default is 25.
          schema:
            type: integer
            format: int32
            default: 25
        - name: offset
          in: query
          description: >-
            The (zero-based) offset into the collection of accounts. The default
            is 0.
          schema:
            type: integer
            format: int32
            default: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/EntityResourceCollectionOutcomeOfRetailMediaChildAccountAndMetadata
      security:
        - oauth:
            - RetailMedia_Accounts_Read
components:
  schemas:
    EntityResourceCollectionOutcomeOfRetailMediaChildAccountAndMetadata:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EntityResourceOfRetailMediaChildAccount'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        metadata:
          $ref: '#/components/schemas/Metadata'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        entities and metadata.
    EntityResourceOfRetailMediaChildAccount:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/ExternalRetailMediaChildAccount'
        id:
          type: string
          description: Unique id of the entity.
          nullable: true
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A domain entity exposed by the API, identified by a unique id.
    SdkApiRestCommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s).
          nullable: true
        stackTrace:
          type: string
          description: ''
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type.
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      additionalProperties: false
      description: Common problem object.
    Metadata:
      required:
        - limit
        - offset
      type: object
      properties:
        count:
          type: integer
          format: int64
          nullable: true
        limit:
          type: integer
          description: The number of elements to be returned.
          format: int32
        offset:
          type: integer
          description: The (zero-based) starting offset in the collection.
          format: int32
      additionalProperties: false
      description: Metadata related to the current request.
      nullable: true
    ExternalRetailMediaChildAccount:
      type: object
      properties:
        companyName:
          type: string
          description: Paying entity name of ads for the Digital Services Act
          nullable: true
        countryIds:
          type: array
          items:
            type: string
          description: list of countries associated with the account
          nullable: true
        currencyId:
          type: string
          description: the currency for the account
          nullable: true
        name:
          type: string
          description: account name
          nullable: true
        onBehalfCompanyName:
          type: string
          description: On behalf entity name of ads for the Digital Services Act
          nullable: true
        subType:
          enum:
            - Unknown
            - Brand
            - Seller
          type: string
          description: subtype for the account
          nullable: true
        timeZone:
          type: string
          description: the timezone for the account
          nullable: true
        type:
          enum:
            - Unknown
            - Supply
            - Demand
          type: string
          description: Type for the account
          nullable: true
      additionalProperties: false
      description: The details for a newly created account
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````